Start OAuth authentication
curl --request GET \
--url https://api.ravion.com/auth/{provider}/{action}import requests
url = "https://api.ravion.com/auth/{provider}/{action}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ravion.com/auth/{provider}/{action}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Auth
Start OAuth authentication
Start OAuth authentication flow. Redirects to the OAuth provider’s authorization page. GET /auth// in the Ravion API reference.
GET
/
auth
/
{provider}
/
{action}
Start OAuth authentication
Path Parameters
Identity provider. saml starts enterprise SAML SSO and requires slug.
Available options:
github, google, gitlab, microsoft, saml Action to perform
Available options:
signup, login, connect-identity Query Parameters
Organization SSO slug (required when provider is saml)
Invitation token from an organization invite link, used to accept the invitation after authentication
Pricing plan for sign up
Referral source
URL to redirect to after completion
Response
HTTP 302 Found redirect response.
Was this page helpful?